package jitas.admin;

import java.awt.Component;
import java.awt.Color;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;
public class ColourCellRenderer extends JLabel implements TableCellRenderer 
{
	private static final long serialVersionUID = -7984035790033521155L;

	public ColourCellRenderer() {
		setOpaque(true);
	}
	
	
	public Component getTableCellRendererComponent
       (JTable table, Object value, boolean isSelected,
       boolean hasFocus, int row, int column) 
    {
		String line = (String) value;
		
		setText(line);
		if (isSelected) {
			setBackground(new Color(184, 207, 229));
		} else {
			setBackground(Color.white);
		}
		
        if(column == 2)
        {
            if(line.equals("Yes"))
            {
                setForeground(new Color(0, 180, 0));
            }
            else
            {
            	setForeground( Color.red);
            }
        } else {
        	setForeground(Color.black);
        }
        return this;
    }
}
